<?php


namespace Modules\Base\Services;

class CustomQueryFilterService
{
    public function customXXX($model, $query, $value = null)
    {
        $this->checkModel($model, 'xxx');
    }

    protected function checkModel($model, $class)
    {
        throw_if(get_class($model) != $class, '\Exception', '未定义的查询');
    }
}
